TICKIT_NEW_STDIO(3)

NAME
tickit_new_stdio - create a new toplevel Tickit instance

SYNOPSIS
    #include <tickit.h>

    Tickit *tickit_new_stdio(void);

Link with -ltickit.

DESCRIPTION
tickit_new_stdio() creates a new toplevel Tickit instance whose terminal is attached to the standard input and output streams.

The reference count of a newly-constructed toplevel instance will be one. This can be incremented or decremented using tickit_ref(3) and tickit_unref(3). When its reference count reaches zero it is destroyed.

RETURN VALUE
If successful, tickit_new_stdio() returns a pointer to the new instance.

SEE ALSO
tickit(7)